﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Drawing.Imaging;
using BC.NetPdfBarcodeReaderTrial.All;
using BC.NetPdfBarcodeReaderTrial.Pdf;

namespace BCNetPdfBarcodeReader
{
    class Program
    {
        static void Main(string[] args)
        {
            ReadQrcodeFromOnePdfPage();
            //ReadQrcodeFromMultiplePdfPages();
        }

        public static void ReadQrcodeFromOnePdfPage()
        {
            PdfDoc pdf = new PdfDoc("test1.pdf");
            pdf.SetDPI = 72;
            Image pageImage = pdf.ConvertToImage(0, 2500, 1000);
            Bitmap bitmap = new Bitmap(pageImage);
            string[] data = NetPdfBarcodeReader.Recognize(bitmap, NetPdfBarcodeReader.Qrcode);
            foreach (string result in data)
            {
                Console.WriteLine(result);
            }
            Console.ReadKey();
        }

        public static void ReadQrcodeFromMultiplePdfPages()
        {
            PdfDoc pdf = new PdfDoc("test3.pdf");
            pdf.SetDPI = 72;
            for (int i = 0; i < pdf.FilePageCount; i++)
            {
                Image pageImage = pdf.ConvertToImage(i, 1000, 1200);
                Bitmap bitmap = new Bitmap(pageImage);
                pageImage.Save("Page" + i + ".jpg", ImageFormat.Jpeg);
                string[] data = NetPdfBarcodeReader.Recognize("Page" + i + ".jpg", NetPdfBarcodeReader.Qrcode);
                foreach (string result in data)
                {
                    Console.WriteLine(result);
                }
            }
            Console.ReadKey();
        }
      
    }
}
